Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class SearchEvent

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.SearchEvent

All Implemented Interfaces:
  java.io.Serializable

public class SearchEvent
extends java.util.EventObject

Search event class

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `SearchEvent.Search`

Field Summary
`static java.lang.String` | `GROUP`
`static AbstractEventMethod[]` | `methods`
`static SearchEvent.Search` | `SEARCH`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SearchEvent(java.lang.Object source, SlideToken token, Namespace namespace, SearchQuery query)`

Method Summary
`Namespace` | `getNamespace()`
`SearchQuery` | `getQuery()`
`SlideToken` | `getToken()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEARCH

    public static final SearchEvent.Search SEARCH

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

Constructor Detail

### SearchEvent

    public SearchEvent(java.lang.Object source,
                       SlideToken token,
                       Namespace namespace,
                       SearchQuery query)

Method Detail

### toString

    public java.lang.String toString()

### getNamespace

    public Namespace getNamespace()

### getToken

    public SlideToken getToken()

### getQuery

    public SearchQuery getQuery()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD